Last Comment Bug 765038 - The fix for bug 761890 broke clang builds in gfx/skia/src/sfnt/SkOTTable_head.h
: The fix for bug 761890 broke clang builds in gfx/skia/src/sfnt/SkOTTable_head.h
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla16
Assigned To: Nick Cameron [:nrc]
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: 761890
  Show dependency treegraph
 
Reported: 2012-06-14 14:48 PDT by Jonathan Watt [:jwatt]
Modified: 2012-06-16 06:53 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (3.46 KB, patch)
2012-06-14 22:06 PDT, Nick Cameron [:nrc]
jwatt: review+
Details | Diff | Splinter Review

Description Jonathan Watt [:jwatt] 2012-06-14 14:48:38 PDT
gfx/skia/src/sfnt/SkOTTable_head.h:117:76: error: non-type template argument evaluates to -1, which cannot be narrowed to type 'uint16_t' (aka 'unsigned short')
      [-Wc++11-narrowing]
SkPathEffect.cpp
            ((OnlyStronglyRTL, static_cast<SK_OT_SHORT>(SkTEndian_SwapBE16(-1))))
gfx/skia/src/sfnt/SkOTTable_head.h:118:72: error: non-type template argument evaluates to -2, which cannot be narrowed to type 'uint16_t' (aka 'unsigned short')
      [-Wc++11-narrowing]
            ((StronglyRTL, static_cast<SK_OT_SHORT>(SkTEndian_SwapBE16(-2))))
Comment 1 Daniel Holbert [:dholbert] 2012-06-14 14:53:10 PDT
Additional context (via IRC):
jwatt hit this while doing a local clobber build of mozilla-inbound, on Mac OS X, using clang.
Comment 2 Nick Cameron [:nrc] 2012-06-14 22:06:17 PDT
Created attachment 633401 [details] [diff] [review]
patch

builds with Visual Studio, hope this fixes the Clang issue
Comment 3 Nick Cameron [:nrc] 2012-06-14 22:10:10 PDT
Disclaimer: I'm pretty sure this is innocuous, but I haven't tried any testing at all.
Comment 4 Jonathan Watt [:jwatt] 2012-06-15 03:17:43 PDT
Comment on attachment 633401 [details] [diff] [review]
patch

Looks fine to me.

I filed an upstream bug on this too, noting your patch here:

http://code.google.com/p/skia/issues/detail?id=649
Comment 5 Jonathan Watt [:jwatt] 2012-06-15 03:53:44 PDT
Seems to work fine too.

I pushed this to m-i:

https://hg.mozilla.org/integration/mozilla-inbound/rev/3ec9d53ce65c

Thanks, nrc!
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-06-16 06:53:11 PDT
https://hg.mozilla.org/mozilla-central/rev/3ec9d53ce65c

Note You need to log in before you can comment on or make changes to this bug.